#ifndef FRAME_H
#define FRAME_H


#include "WinCore.h"
#include "WCEframe.h"
#include "Dialog.h"
#include "GDI.h"
#include "weatherinfo.h"


class CMainFrame : public CWceFrame
{
public:
    CMainFrame();
    virtual ~CMainFrame()
    {
    }
    virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);
    virtual void OnInitialUpdate();

protected:
    virtual void OnPaint(HDC hDC);
    virtual LRESULT WndProc(HWND hwnd, UINT uMsg, WPARAM wParam, LPARAM lParam);

private:
    static const WCHAR* cities[];
    Win32xx::CWnd cbCity;
    WeatherInfo wInfo;

    void updateWeather();
};

#endif   //FRAME_H
